Bug 1319289 - Review Request: rubygem-review - Flexible document format/conversion system
Summary: Review Request: rubygem-review - Flexible document format/conversion system
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Mukundan Ragavan
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-03-18 17:52 UTC by Antonio
Modified: 2016-05-15 02:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-05-04 18:52:51 UTC
nonamedotc: fedora-review+


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Bugzilla 1224715 None None None 2016-04-16 13:04:09 UTC

Description Antonio 2016-03-18 17:52:13 UTC
Spec URL: https://sagitter.fedorapeople.org/rubygem-review/rubygem-review.spec
SRPM URL: https://sagitter.fedorapeople.org/rubygem-review/rubygem-review-1.7.2-1.fc23.src.rpm

Description:
Re:VIEW uses its original format('Re:VIEW format') as source files.
Output formats Re:VIEW supports are:

    EPUB

    LaTeX(ptexlive)

    InDesign(IDGXML)

    Plain Text(TOPBuilder Text Markup Language)

    Inao(gihyo.jp original markup)

Fedora Account System Username: sagitter

This package is for Fedora and EPEL7.

Comment 1 Mukundan Ragavan 2016-04-02 12:04:32 UTC
Taking this up for review.

Comment 2 Mukundan Ragavan 2016-04-12 01:55:18 UTC
Will post review tomorrow. Sorry for the delay.

Comment 3 Mukundan Ragavan 2016-04-14 02:28:18 UTC
Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- gems should require rubygems package
  Note: Requires: rubygems missing in rubygem-review-doc
  See: http://fedoraproject.org/wiki/Packaging:Ruby#RubyGems
- Package contains Requires: ruby(release).

---> Guidelines at https://fedoraproject.org/wiki/Packaging:Ruby#RubyGems states

" There should not be Requires: ruby(release), unless you want to explicitly specify Ruby version compatibility. Automatically generated dependency on RubyGems (Requires: ruby(rubygems)) is enough. "

Automatically generated requires shows "ruby(rubygems)" (below).

So, this seems to be bogus.


- If (and only if) the source package includes the text of the license(s)
  in its own file, then that file, containing the text of the license(s)
  for the package is included in %license.
  Note: Cannot find COPYING in rpm(s)
  See:
  http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text


---> License file is installed in the main package.

/usr/share/gems/gems/review-1.7.2/COPYING


But, license file should be installed like this - 

%license %{gem_instdir}/LICENSE


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "LGPL (v2.1)", "Unknown or generated". 128 files have unknown
     license. Detailed output of licensecheck in
     /home/mukundan/ownCloud/misc_pkgs/pkg_reviews/1319289-rubygem-
     review/licensecheck.txt

---> This seems mostly fine.

[x]: License file installed when any subpackage combination is installed.

---> Please see my comment above.

[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required

---> This seems fine to me. The only rm -rf statements I see are fine.

[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Ruby:
[x]: Platform dependent files must all go under %{gem_extdir_mri}, platform
     independent under %{gem_dir}.
[x]: Gem package must not define a non-gem subpackage
[x]: Macro %{gem_extdir} is deprecated.
[x]: Gem package is named rubygem-%{gem_name}
[x]: Package contains BuildRequires: rubygems-devel.
[x]: Gem package must define %{gem_name} macro.
[x]: Pure Ruby package must be built as noarch
[x]: Package does not contain Requires: ruby(abi).

===== SHOULD items =====

Generic:
[?]: Avoid bundling fonts in non-fonts packages.
     Note: Package contains font files

---> As far as I can tell, this is ok since it's used in examples, I think.

/usr/share/doc/rubygem-review/html/fonts/Lato-Light.ttf
/usr/share/doc/rubygem-review/html/fonts/Lato-LightItalic.ttf
/usr/share/doc/rubygem-review/html/fonts/Lato-Regular.ttf
/usr/share/doc/rubygem-review/html/fonts/Lato-RegularItalic.ttf
/usr/share/doc/rubygem-review/html/fonts/SourceCodePro-Bold.ttf
/usr/share/doc/rubygem-review/html/fonts/SourceCodePro-Regular.ttf

Am I right? Can you check?

[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     review-doc

---> noarch

[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Patches link to upstream bugs/comments/lists or are otherwise
     justified.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

Ruby:
[!]: Gem package should exclude cached Gem.

---> I cannot find reference to excluding cached gem here - https://fedoraproject.org/wiki/Packaging:Ruby


Can you please verify this?

[!]: Gem should use %gem_install macro.
[!]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %doc %{gem_docdir},
     %exclude %{gem_cache}, %{gem_libdir}

---> Please revisit macros.

[x]: Test suite should not be run by rake.
[x]: Test suite of the library should be run.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-review-1.7.2-1.fc25.noarch.rpm
          rubygem-review-doc-1.7.2-1.fc25.noarch.rpm
          rubygem-review-1.7.2-1.fc25.src.rpm
rubygem-review.noarch: W: spelling-error %description -l en_US gihyo -> yogi
rubygem-review.noarch: W: spelling-error %description -l en_US jp -> JP, dip, hp
rubygem-review.noarch: W: no-documentation
rubygem-review.noarch: E: non-executable-script /usr/share/gems/gems/review-1.7.2/lib/uuid.rb 644 /usr/bin/env

---> Please review.

rubygem-review.noarch: E: incorrect-fsf-address /usr/share/gems/gems/review-1.7.2/COPYING
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.rubocop_todo.yml
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.travis.yml
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.rubocop.yml

---> Needed?

rubygem-review.noarch: W: no-manual-page-for-binary review-compile
rubygem-review.noarch: W: no-manual-page-for-binary review-check
rubygem-review.noarch: W: no-manual-page-for-binary review-vol
rubygem-review.noarch: W: no-manual-page-for-binary review-index
rubygem-review.noarch: W: no-manual-page-for-binary review-epubmaker-legacy
rubygem-review.noarch: W: no-manual-page-for-binary review-init
rubygem-review.noarch: W: no-manual-page-for-binary review-validate
rubygem-review.noarch: W: no-manual-page-for-binary review-checkdep
rubygem-review.noarch: W: no-manual-page-for-binary review-pdfmaker
rubygem-review.noarch: W: no-manual-page-for-binary review-preproc
rubygem-review.noarch: W: no-manual-page-for-binary review-epubmaker
rubygem-review.noarch: W: no-manual-page-for-binary review-catalog-converter
rubygem-review.src: W: spelling-error %description -l en_US gihyo -> yogi
rubygem-review.src: W: spelling-error %description -l en_US jp -> JP, dip, hp
3 packages and 0 specfiles checked; 2 errors, 20 warnings.




Rpmlint (installed packages)
----------------------------
sh: /usr/bin/python: No such file or directory
rubygem-review.noarch: W: spelling-error %description -l en_US gihyo -> yogi
rubygem-review.noarch: W: spelling-error %description -l en_US jp -> JP, dip, hp
rubygem-review.noarch: W: no-documentation
rubygem-review.noarch: E: non-executable-script /usr/share/gems/gems/review-1.7.2/lib/uuid.rb 644 /usr/bin/env
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.travis.yml
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.rubocop.yml
rubygem-review.noarch: E: incorrect-fsf-address /usr/share/gems/gems/review-1.7.2/COPYING
rubygem-review.noarch: W: hidden-file-or-dir /usr/share/gems/gems/review-1.7.2/.rubocop_todo.yml
rubygem-review.noarch: W: no-manual-page-for-binary review-validate
rubygem-review.noarch: W: no-manual-page-for-binary review-vol
rubygem-review.noarch: W: no-manual-page-for-binary review-pdfmaker
rubygem-review.noarch: W: no-manual-page-for-binary review-epubmaker
rubygem-review.noarch: W: no-manual-page-for-binary review-check
rubygem-review.noarch: W: no-manual-page-for-binary review-checkdep
rubygem-review.noarch: W: no-manual-page-for-binary review-preproc
rubygem-review.noarch: W: no-manual-page-for-binary review-catalog-converter
rubygem-review.noarch: W: no-manual-page-for-binary review-index
rubygem-review.noarch: W: no-manual-page-for-binary review-compile
rubygem-review.noarch: W: no-manual-page-for-binary review-init
rubygem-review.noarch: W: no-manual-page-for-binary review-epubmaker-legacy
2 packages and 0 specfiles checked; 2 errors, 18 warnings.



Requires
--------
rubygem-review-doc (rpmlib, GLIBC filtered):
    rubygem-review

rubygem-review (rpmlib, GLIBC filtered):
    /usr/bin/ruby
    ruby(rubygems)



Provides
--------
rubygem-review-doc:
    rubygem-review-doc

rubygem-review:
    rubygem(review)
    rubygem-review



Source checksums
----------------
https://rubygems.org/downloads/review-1.7.2.gem :
  CHECKSUM(SHA256) this package     : df6a72eac2b2539535e717972ca0491c266fa35a0aa70b094d4e02f887d2dae8
  CHECKSUM(SHA256) upstream package : df6a72eac2b2539535e717972ca0491c266fa35a0aa70b094d4e02f887d2dae8


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 -b 1319289
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Ruby, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6

Comment 4 Antonio 2016-04-16 13:39:45 UTC
(In reply to Mukundan Ragavan from comment #3)
> Package Review
> ==============
> 
> 
> - If (and only if) the source package includes the text of the license(s)
>   in its own file, then that file, containing the text of the license(s)
>   for the package is included in %license.
>   Note: Cannot find COPYING in rpm(s)
>   See:
>   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> 
> 
> ---> License file is installed in the main package.
> 
> /usr/share/gems/gems/review-1.7.2/COPYING
> 
> 
> But, license file should be installed like this - 
> 
> %license %{gem_instdir}/LICENSE
> 

Okay.


> ===== SHOULD items =====
> 
> Generic:
> [?]: Avoid bundling fonts in non-fonts packages.
>      Note: Package contains font files
> 
> ---> As far as I can tell, this is ok since it's used in examples, I think.
> 
> /usr/share/doc/rubygem-review/html/fonts/Lato-Light.ttf
> /usr/share/doc/rubygem-review/html/fonts/Lato-LightItalic.ttf
> /usr/share/doc/rubygem-review/html/fonts/Lato-Regular.ttf
> /usr/share/doc/rubygem-review/html/fonts/Lato-RegularItalic.ttf
> /usr/share/doc/rubygem-review/html/fonts/SourceCodePro-Bold.ttf
> /usr/share/doc/rubygem-review/html/fonts/SourceCodePro-Regular.ttf
> 
> Am I right? Can you check?

See bz#1224715.


> Ruby:
> [!]: Gem package should exclude cached Gem.
> 
> ---> I cannot find reference to excluding cached gem here -
> https://fedoraproject.org/wiki/Packaging:Ruby
> 
> 
> Can you please verify this?

Cache excluded.

> 
> [!]: Gem should use %gem_install macro.

It's used.

> [!]: Specfile should use macros from rubygem-devel package.
>      Note: The specfile doesn't use these macros: %doc %{gem_docdir},
>      %exclude %{gem_cache}, %{gem_libdir}
> 
> ---> Please revisit macros.

Okay.

> /usr/share/gems/gems/review-1.7.2/lib/uuid.rb 644 /usr/bin/env
> 
> ---> Please review.

Fixed.

> 
> rubygem-review.noarch: E: incorrect-fsf-address
> /usr/share/gems/gems/review-1.7.2/COPYING
> rubygem-review.noarch: W: hidden-file-or-dir
> /usr/share/gems/gems/review-1.7.2/.rubocop_todo.yml
> rubygem-review.noarch: W: hidden-file-or-dir
> /usr/share/gems/gems/review-1.7.2/.travis.yml
> rubygem-review.noarch: W: hidden-file-or-dir
> /usr/share/gems/gems/review-1.7.2/.rubocop.yml
> 
> ---> Needed?

Removed.

Spec URL: https://sagitter.fedorapeople.org/rubygem-review/rubygem-review.spec
SRPM URL: https://sagitter.fedorapeople.org/rubygem-review/rubygem-review-1.7.2-2.fc23.src.rpm

Comment 5 Mukundan Ragavan 2016-04-20 23:12:45 UTC
(In reply to Antonio Trande from comment #4)
> (In reply to Mukundan Ragavan from comment #3)
> > Package Review
> > ==============
> > 
> > 
> > - If (and only if) the source package includes the text of the license(s)
> >   in its own file, then that file, containing the text of the license(s)
> >   for the package is included in %license.
> >   Note: Cannot find COPYING in rpm(s)
> >   See:
> >   http://fedoraproject.org/wiki/Packaging/LicensingGuidelines#License_Text
> > 
> > 
> > ---> License file is installed in the main package.
> > 
> > /usr/share/gems/gems/review-1.7.2/COPYING
> > 
> > 
> > But, license file should be installed like this - 
> > 
> > %license %{gem_instdir}/LICENSE
> > 
> 
> Okay.



There is one mistake in the spec file. You are installing the license file and immediately excluding it.

%license %{gem_instdir}/COPYING

<snip>

%exclude %{gem_instdir}/COPYING

Why?


I got rid of the exclude line and built a package. See the difference in files here - 

$ diff -Nu w_excld wo_excld
--- w_excld	2016-04-20 18:58:21.183113956 -0400
+++ wo_excld	2016-04-20 18:57:55.818377962 -0400
@@ -11,6 +11,7 @@
 /usr/bin/review-validate
 /usr/bin/review-vol
 /usr/share/gems/gems/review-1.7.2
+/usr/share/gems/gems/review-1.7.2/COPYING
 /usr/share/gems/gems/review-1.7.2/ChangeLog
 /usr/share/gems/gems/review-1.7.2/Dockerfile
 /usr/share/gems/gems/review-1.7.2/Gemfile


wo_excld - package build without the exclude lien
w_excld - package build with the spec linked here.


-doc package will have no difference. Please fix this.


> 
> > /usr/share/gems/gems/review-1.7.2/lib/uuid.rb 644 /usr/bin/env
> > 
> > ---> Please review.
> 
> Fixed.
> 

---> This does not seem to be fixed.

$ rpmls rubygem-review-1.7.2-2.fc25.noarch.rpm

<snip>

-rw-r--r--  /usr/share/gems/gems/review-1.7.2/lib/uuid.rb

<snip>


Other than these two, I do not have any other issues. Please take a look. I am ready to approve once these are taken care of.

Comment 6 Antonio 2016-04-23 09:26:09 UTC
(In reply to Mukundan Ragavan from comment #5)
> 
> 
> There is one mistake in the spec file. You are installing the license file
> and immediately excluding it.
> 
> %license %{gem_instdir}/COPYING
> 
> <snip>
> 
> %exclude %{gem_instdir}/COPYING
> 
> Why?
> 
> 
> I got rid of the exclude line and built a package. See the difference in
> files here - 
> 
> $ diff -Nu w_excld wo_excld
> --- w_excld	2016-04-20 18:58:21.183113956 -0400
> +++ wo_excld	2016-04-20 18:57:55.818377962 -0400
> @@ -11,6 +11,7 @@
>  /usr/bin/review-validate
>  /usr/bin/review-vol
>  /usr/share/gems/gems/review-1.7.2
> +/usr/share/gems/gems/review-1.7.2/COPYING
>  /usr/share/gems/gems/review-1.7.2/ChangeLog
>  /usr/share/gems/gems/review-1.7.2/Dockerfile
>  /usr/share/gems/gems/review-1.7.2/Gemfile
> 
> 
> wo_excld - package build without the exclude lien
> w_excld - package build with the spec linked here.

Failed attempt to not list same file two times.

> 
> 
> -doc package will have no difference. Please fix this.
> 

Sorry, I miss it.
Fix what?

Comment 7 Mukundan Ragavan 2016-04-23 17:30:54 UTC
ed attempt to not list same file two times.
> 
> > 
> > 
> > -doc package will have no difference. Please fix this.
> > 
> 
> Sorry, I miss it.
> Fix what?

Nothing to fix here. I meant to say "please fix this" in the context of %license macro.

Hope that clarifies.

Comment 9 Mukundan Ragavan 2016-04-24 13:30:40 UTC
Ok, this looks good to me. Package APPROVED.

Thanks for the quick fixes.

Comment 10 Antonio 2016-04-25 10:15:15 UTC
Thank you.

Comment 11 Gwyn Ciesla 2016-04-25 13:22:15 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/rubygem-review

Comment 12 Fedora Update System 2016-04-26 12:29:49 UTC
rubygem-review-1.7.2-3.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0561d5d2a

Comment 13 Fedora Update System 2016-04-26 12:29:56 UTC
rubygem-review-1.7.2-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e96b805c6b

Comment 14 Fedora Update System 2016-04-26 12:30:00 UTC
rubygem-review-1.7.2-3.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-36c69445a6

Comment 15 Fedora Update System 2016-04-26 16:21:51 UTC
rubygem-review-1.7.2-3.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-36c69445a6

Comment 16 Fedora Update System 2016-04-27 01:18:59 UTC
rubygem-review-1.7.2-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-e96b805c6b

Comment 17 Fedora Update System 2016-04-27 01:20:41 UTC
rubygem-review-1.7.2-3.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-b0561d5d2a

Comment 18 Fedora Update System 2016-05-04 18:52:49 UTC
rubygem-review-1.7.2-3.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2016-05-07 11:51:09 UTC
rubygem-review-1.7.2-3.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 20 Fedora Update System 2016-05-15 02:42:16 UTC
rubygem-review-1.7.2-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.